Bug 478924 - Build failures with rb_libtorrent 0.14.x
Build failures with rb_libtorrent 0.14.x
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: linkage (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-05 20:09 EST by Peter Gordon
Modified: 2010-06-28 07:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:04:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Beginnings of a patch for rb_libtorrent 0.14 (4.27 KB, patch)
2009-01-05 20:09 EST, Peter Gordon
no flags Details | Diff

  None (edit)
Description Peter Gordon 2009-01-05 20:09:48 EST
Created attachment 328243 [details]
Beginnings of a patch for rb_libtorrent 0.14

Description of problem:
I'm in the process of pushing a rb_libtorrent bump to Rawhide, and in trying to rebuild to linkage for the soname bump, I have run into a lot of errors. Many of them are simple fixes for the API changes (function and namespace names slightly changed, et al.)

Attached is the begginings of a patch which fixes several of these key spots in the source code; but unfortunately it will be necessary to build upon this to fix the build errors entirely, as there are then other errors which deal with the code logic and how the various classes are connected, which I am only vaguely familiar with by perusing the current sources.

With the attached patch, the build errors are as follows:

Torrent.cc: In constructor 'Linkage::Torrent::Torrent(const libtorrent::entry&, const boost::intrusive_ptr<libtorrent::torrent_info>&, bool)':
Torrent.cc:77: warning: comparison between signed and unsigned integer expressions
Torrent.cc:117: error: invalid conversion from 'std::vector<bool, std::allocator<bool> >*' to 'int'
Torrent.cc:117: error:   initializing argument 1 of 'libtorrent::bitfield::bitfield(int)'
Torrent.cc: In member function 'int Linkage::Torrent::_get_state()':
Torrent.cc:257: error: 'connecting_to_tracker' is not a member of 'libtorrent::torrent_status'
Torrent.cc: In member function 'std::vector<float, std::allocator<float> > Linkage::Torrent::get_file_progress()':
Torrent.cc:425: warning: 'void libtorrent::torrent_handle::file_progress(std::vector<float, std::allocator<float> >&) const' is deprecated (declared at /usr/include/libtorrent/torrent_handle.hpp:325)
Torrent.cc: In member function 'void Linkage::Torrent::set_handle(const libtorrent::torrent_handle&)':
Torrent.cc:445: warning: 'void libtorrent::torrent_handle::file_progress(std::vector<float, std::allocator<float> >&) const' is deprecated (declared at /usr/include/libtorrent/torrent_handle.hpp:325)
Torrent.cc:452: error: no match for 'operator*' in '*((Linkage::Torrent*)this)->Linkage::Torrent::m_cache.std::auto_ptr<_Tp>::operator-> [with _Tp = Linkage::Torrent::StoppedCache]()->Linkage::Torrent::StoppedCache::status.libtorrent::torrent_status::pieces'
Torrent.cc:453: error: invalid conversion from 'std::vector<bool, std::allocator<bool> >*' to 'int'
Torrent.cc:453: error:   initializing argument 1 of 'libtorrent::bitfield::bitfield(int)'
Torrent.cc: In member function 'libtorrent::entry Linkage::Torrent::get_resume_entry()':
Torrent.cc:728: warning: 'libtorrent::entry libtorrent::torrent_handle::write_resume_data() const' is deprecated (declared at /usr/include/libtorrent/torrent_handle.hpp:415)
make[3]: *** [liblinkage_1_la-Torrent.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
Utils.cc: In function 'std::string Linkage::http_get(const std::string&, int)':
Utils.cc:188: error: variable 'libtorrent::connection_queue cc' has initializer but incomplete type
make[3]: *** [liblinkage_1_la-Utils.lo] Error 1
mv -f .deps/liblinkage_1_la-TorrentManager.Tpo .deps/liblinkage_1_la-TorrentManager.Plo
make[3]: Leaving directory `/home/pgordon/rpmbuild/BUILD/linkage-0.2.0/lib'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/pgordon/rpmbuild/BUILD/linkage-0.2.0/lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/pgordon/rpmbuild/BUILD/linkage-0.2.0'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.ywmsVB (%build)

Thanks.
Comment 1 Adel Gadllah 2009-01-13 14:47:03 EST
Hi Peter,

Thanks for the patch. Will look into it next week, having a work in progress 
patch to start with definitely helps.
Comment 2 Adel Gadllah 2009-03-14 11:53:23 EDT
Just a note: The package was orphaned due to dead upstream, so I am no longer working on fixing this.
Comment 3 Alex Lancaster 2009-03-15 03:46:48 EDT
(In reply to comment #2)
> Just a note: The package was orphaned due to dead upstream, so I am no longer
> working on fixing this.  

Um, that's not a good situation as Miro depends on rb_libtorrent.  It would have been a good idea to check what packages either Require and/or BuildRequire rb_libtorrent and e-mail those maintainers to give a chance for somebody to pick this package up.

Either way, this will have to be kept active in Fedora, at least for a while.  If rb_libtorrent is really dead upstream, Miro will probably end up picking up this package.   Cc'ing, Will who is part of Miro upstream.
Comment 4 Alex Lancaster 2009-03-15 03:49:46 EDT
According to:

http://admin.fedoraproject.org/pkgdb/packages/name/rb_libtorrent

it looks like Peter Gordon is now maintaining the package.  Re-assigning.
Comment 5 Alex Lancaster 2009-03-15 03:51:38 EDT
Oops, sorry, ignore comment #3 and comment #4.

The orphaning was concerning linkage, not rb_libtorrent.  Sorry for the noise: removing Will as Cc.
Comment 6 Bug Zapper 2009-06-09 06:35:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-04-27 08:41:19 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 07:04:20 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.